%define real_name CGI-Builder-TT2

Summary:	CGI::Builder and Template Toolkit 2 integration
Name:		perl-%{real_name}
Version:	0.03
Release:	%mkrel 3
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl-CGI-Builder
BuildRequires:	perl-Template
BuildRequires:	perl-IO-Util
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module transparently integrates CGI::Builder and Template in a very handy,
powerful and flexible framework that can save you a lot of coding, time and
resources. With this module, you don't need to produce the page_content within
your page handlers anymore (unless you want to); you don't even need to manage
a template system yourself (unless you want to).

If you use a template system on your own (i.e. not integrated in a CBF
extension), you will have to write all this code explicitly:

 * create a page handler for each page as usual
 * create a new template object and assign a new template file
 * find the runtime values and assign them to the template object
 * run the template process and set the page_content to the produced output

You can save all that by just including this module in your build, because it
implements an internal transparent and automatic template system that even
without your explicit intervention is capable of finding the correct template
and the correct runtime values to fill it, and generates the page_content
automagically. With this module you can even eliminate the page handlers that
are just setting the page_content, because the page is automatically sent by
the template system.

%prep

%setup -q -n %{real_name}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/CGI/Builder/*
%{_mandir}/*/*


%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.03-3mdv2009.0
+ Revision: 241166
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue May 15 2007 Oden Eriksson <oeriksson@mandriva.com> 0.03-1mdv2008.0
+ Revision: 26917
- add more build deps
- Import perl-CGI-Builder-TT2



* Tue May 15 2007 Oden Eriksson <oeriksson@mandriva.com> 0.03-1mdv2007.1
- initial Mandriva package
